var initList = initList || [];
initList.push(function() {
    // TAB1
    $('.content.tab1 .imgs').find('img').hide().eq(0).show();

    $(".accordion").accordion({
        header: "div.title_btn",
        active: 0,
        collapsible: false,
        heightStyle: "content"
    });

    sg.activeBtn = function(btn) {
        var name = '.content.tab1 .imgs .buttons .btn' + btn;
        $('.content.tab1 .imgs .buttons').children().removeClass('active');
        $(name).addClass('active');
        var imgKey = parseInt(btn)-1;
        $('.content.tab1 .imgs img').hide().eq(imgKey).show();
    }
    sg.activeTitle = function(title) {
        var name = '.content.tab1 .accordion .title_btn.t' + title;
        $(name).click();
    }

    // TAB2
    $('#reset').addClass('btn-hover');
    $('#gameIntro button').addClass('btn-hover');
    $('#gameIntro button').click(function() {
        $('#act_sub1').hide();
        $('.btn_popup1').show();
        $('div[data-sg-id="game-matchmemory"]').addClass('visible');
    });
    $('#gameIntro').prepend('<h2>¡Practica lo que has aprendido!</h2><p> Encuentra los tríos ocultos relacionados <br>con los diferentes tipos de neuronas, su <br>descripción y su función.</p>');
    $('#gameComplete').find('h2').html('¡ QUE BIEN LO HAZ HECHO !');
    $('#gameComplete').prepend('<p>Ya reconoces los diferentes tipos de <br>neuronas, su descripción y su función.<br><br> <span>¡FELICITACIONES!</span></p>');
    $('#gameComplete button').addClass('btn-hover');

    requirejs(['jquery', 'sgGameMatchMemory'], function($, sgGameMatchMemory) {
        sgGameMatchMemory.afterCheck = function() {
            var totalCards = $('.card-removed').size();
            if (totalCards == 12) {
                $('#gameStats').hide();
                $('.btn_popup1').hide();
                $('div[data-sg-id="game-matchmemory"]').removeClass('visible');
            }
        }
        sgGameMatchMemory.extraRestartGame = function() {
            $('#gameStats').show();
            $('.btn_popup1').show();
            $('div[data-sg-id="game-matchmemory"]').addClass('visible');
        }
    });

    // TAB3
    requirejs(['jquery', 'sgSlider'], function($, sgSlider) {
        sgSlider.pageEffectBool = true;
        sgSlider.pageEffect = function(elem) {
            //Por Definir
            elem.parent().children().removeClass('shake');
            elem.show().addClass('shake');
            //elem.show();
            var pageGroup = elem.attr('data-sg-group');
            var page = elem.attr('data-sg-key');

            $('.buttons_page .btn-hover').removeClass('active');
            var idButton = '.buttons_page .btn' + page;
            $(idButton).addClass('active');
        }
    });
});